### Constructor

# Gdk.Surface.new_popup

#### Declaration [src]

    GdkSurface*
    gdk_surface_new_popup (
      GdkSurface* parent,
      gboolean autohide
    )

#### Description [src]

Create a new popup surface.

The surface will be attached to `parent` and can be positioned relative to it using `gdk_popup_present()`.

#### Parameters

`parent` | `GdkSurface`
| the parent surface to attach the surface to
| Ownership is not transferred to the callee
`autohide` | `gboolean`
| whether to hide the surface on outside clicks

#### Return value

Returns: `GdkSurface`
a new `GdkSurface`
Ownership of the data is transferred to the caller